Create an Assignment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Behavior

Creates an Assignment using the parameters provided in the request body.

Returns

Returns the newly created assignment if creation succeeded. This call will raise an error if any parameters are invalid or any required parameters are omitted.

Body Params
string
required

The name of the assignment.

int32
required

The total number of points possible in the assignment. All submissions will be graded "out of" this value. Must be >= 0.

int32
required

The Course object which this assignment is a part of. Must correspond to the ID of a course in which you are a Course Admin.

boolean
Defaults to false

If True, finalized submissions will be viewable by students.

int32

Key that defines how Assignments are sorted within the codePost UI. Defaults to 0. Ties are broken using the datetime of object creation.

boolean
Defaults to false

If True, Anonymous Grading Mode will be enabled for this assignment. Defaults to False, unless course.anonymousGradingDefault == True.

boolean
Defaults to false

If True, grades of submissions for this assignment will begin at 0. Otherwise, submission.grade will be initialized to assignment.points.

boolean
Defaults to false

If True, students won't be able to view their submission grades for this assignment.

boolean
Defaults to false

If True, Comment Feedback will be enabled for this assignment.

boolean
Defaults to false

If True, students will be able to see their submissions and feedback before the submission is finalized or published.

boolean
Defaults to false

If True, the graders of a submission will be hidden from students.

boolean
Defaults to false

If True, students will be allowed to upload submissions until the upload due date.

date

The date after which students are not allowed to upload submissions. Only applies if assignment.allowStudentUpload is True.

boolean
Defaults to false

If True students will be allowed to submit regrade requests after their submission has been graded.

date

The date after which students are not allowed to submit a regrade request. Only applies if allowRegradeRequests is True.

boolean
Defaults to false

If True, admins and graders will be prevented from saving comments which do not link to rubric comments.

boolean
Defaults to false

If True, graders will be allowed to edit the assignment's rubric.

boolean
Defaults to false

If True, frequently used rubric comments will be shown in a special category in the Code Console.

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json